## org.eclipse.datatools.modelbase.sql.tables
Class CheckType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.tables.CheckType

    public final class CheckType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Check Type', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

See Also:
  `SQLTablesPackage.getCheckType()`

Field Summary
`static int` `CASCADED` The 'CASCADED' literal value.
`static CheckType` `CASCADED_LITERAL` The 'CASCADED' literal object.
`static int` `LOCAL` The 'LOCAL' literal value.
`static CheckType` `LOCAL_LITERAL` The 'LOCAL' literal object.
`static int` `NONE` The 'NONE' literal value.
`static CheckType` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Check Type' enumerators.

Method Summary
`static CheckType` `get(int value)` Returns the 'Check Type' literal with the specified integer value.
`static CheckType` `get(java.lang.String literal)` Returns the 'Check Type' literal with the specified literal value.
`static CheckType` `getByName(java.lang.String name)` Returns the 'Check Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CASCADED

    public static final int CASCADED

  The 'CASCADED' literal value.

  See Also:
    `CASCADED_LITERAL`, Constant Field Values

### LOCAL

    public static final int LOCAL

  The 'LOCAL' literal value.

  See Also:
    `LOCAL_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### CASCADED_LITERAL

    public static final CheckType CASCADED_LITERAL

  The 'CASCADED' literal object.

  If the meaning of 'CASCADED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CASCADED`

### LOCAL_LITERAL

    public static final CheckType LOCAL_LITERAL

  The 'LOCAL' literal object.

  If the meaning of 'LOCAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOCAL`

### NONE_LITERAL

    public static final CheckType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Check Type' enumerators.

Method Detail

### get

    public static CheckType get(java.lang.String literal)

  Returns the 'Check Type' literal with the specified literal value.

### getByName

    public static CheckType getByName(java.lang.String name)

  Returns the 'Check Type' literal with the specified name.

### get

    public static CheckType get(int value)

  Returns the 'Check Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.